ApiOzoneS3GatewayInfo (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneS3GatewayInfo

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiOzoneS3GatewayInfo

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneS3GatewayInfo
      extends Object

  Encapsulates information needed to utilize the s3 Gateway API- namely, the AWS credentials, the rest url of the s3 Gateway and the S3 bucket.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneS3GatewayInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneS3GatewayInfo` | `addRestUrlsItem(String restUrlsItem)`
    `ApiOzoneS3GatewayInfo` | `awsAccessKey(String awsAccessKey)`
    `ApiOzoneS3GatewayInfo` | `awsSecret(String awsSecret)`
    `ApiOzoneS3GatewayInfo` | `bucket(String bucket)`
    `boolean` | `equals(Object o)`
    `String` | `getAwsAccessKey()` The AWS access key for a particular Ozone service
    `String` | `getAwsSecret()` The AWS secret associated with the access key
    `String` | `getBucket()` The Ozone address of the created S3 bucket
    `String` | `getRestUrl()` The rest url, in host:port format, of the Ozone S3 Gateway.
    `List<String>` | `getRestUrls()` The list of rest urls, in host:port format, of the Ozone S3 Gateway
    `int` | `hashCode()`
    `ApiOzoneS3GatewayInfo` | `restUrl(String restUrl)`
    `ApiOzoneS3GatewayInfo` | `restUrls(List<String> restUrls)`
    `void` | `setAwsAccessKey(String awsAccessKey)`
    `void` | `setAwsSecret(String awsSecret)`
    `void` | `setBucket(String bucket)`
    `void` | `setRestUrl(String restUrl)`
    `void` | `setRestUrls(List<String> restUrls)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneS3GatewayInfo

          public ApiOzoneS3GatewayInfo()

  - ### Method Detail

    - #### awsAccessKey

          public ApiOzoneS3GatewayInfo awsAccessKey(String awsAccessKey)

    - #### getAwsAccessKey

          public String getAwsAccessKey()

      The AWS access key for a particular Ozone service
      Returns:
        awsAccessKey

    - #### setAwsAccessKey

          public void setAwsAccessKey(String awsAccessKey)

    - #### awsSecret

          public ApiOzoneS3GatewayInfo awsSecret(String awsSecret)

    - #### getAwsSecret

          public String getAwsSecret()

      The AWS secret associated with the access key
      Returns:
        awsSecret

    - #### setAwsSecret

          public void setAwsSecret(String awsSecret)

    - #### restUrl

          public ApiOzoneS3GatewayInfo restUrl(String restUrl)

    - #### getRestUrl

          public String getRestUrl()

      The rest url, in host:port format, of the Ozone S3 Gateway. Always returns the first entry in the list of rest urls or null if list is null or zero-length.
      Returns:
        restUrl

    - #### setRestUrl

          public void setRestUrl(String restUrl)

    - #### restUrls

          public ApiOzoneS3GatewayInfo restUrls(List<String> restUrls)

    - #### addRestUrlsItem

          public ApiOzoneS3GatewayInfo addRestUrlsItem(String restUrlsItem)

    - #### getRestUrls

          public List<String> getRestUrls()

      The list of rest urls, in host:port format, of the Ozone S3 Gateway
      Returns:
        restUrls

    - #### setRestUrls

          public void setRestUrls(List<String> restUrls)

    - #### bucket

          public ApiOzoneS3GatewayInfo bucket(String bucket)

    - #### getBucket

          public String getBucket()

      The Ozone address of the created S3 bucket
      Returns:
        bucket

    - #### setBucket

          public void setBucket(String bucket)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.